%define anolis_release 1

Name:           python-importlib-metadata
Version:        6.8.0
Release:        %{anolis_release}%{?dist}
Summary:        Library to access the metadata for a Python package

License:        ASL 2.0
URL:            https://importlib-metadata.readthedocs.io/
Source0:        %{pypi_source importlib_metadata}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-test
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pyfakefs)
BuildRequires:  python3dist(toml)
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(setuptools-scm[toml])
BuildRequires:  python3dist(zipp)

%description
Library to access the metadata for a Python package.
This package supplies third-party access to the functionality
of importlib.metadata including improvements added to subsequent
Python versions.


%package -n     python3-importlib-metadata
Summary:        %{summary}

%description -n python3-importlib-metadata
Library to access the metadata for a Python package.
This package supplies third-party access to the functionality
of importlib.metadata including improvements added to subsequent
Python versions.


%package -n     python3-importlib-metadata-doc
Summary:        %{summary}

%description -n python3-importlib-metadata-doc
Library to access the metadata for a Python package.
This package supplies third-party access to the functionality
of importlib.metadata including improvements added to subsequent
Python versions.


%prep
%autosetup -n importlib_metadata-%{version}

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files importlib_metadata

%check
%pytest --ignore exercises.py -k "not test_find_local"

%files -n python3-importlib-metadata -f %{pyproject_files}
%license LICENSE

%files -n python3-importlib-metadata-doc
%doc README.rst

%changelog
* Mon Sep 11 2023 Zhongling He <zhonglingh@linux.alibaba.com> - 6.8.0-1
- Initial package